CREATE TABLE cmp_mkt_composites (
    COMPOSITE_ID              NUMBER(18, 0) ,
    COMPOSITE_MAPPING_CODE    VARCHAR2(120) ,
    JOB_ID                    NUMBER(18, 0) ,
    POSITION_ID               NUMBER(18, 0) ,
    LOCATION_ID               NUMBER(18, 0) ,
    MARKET_SEGMENT_ID         NUMBER(18, 0) ,
    COUNTRY_CODE              VARCHAR2(120)     NOT NULL,
    CURRENCY_CODE             VARCHAR2(120) ,
    COMP_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    TEN_PERCENT               NUMBER        ,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE          ,
    TWENTY_PERCENT            NUMBER        ,
    TWENTY_FIVE_PERCENT       NUMBER        ,
    THIRTY_PERCENT            NUMBER        ,
    FORTY_PERCENT             NUMBER        ,
    FIFTY_PERCENT             NUMBER        ,
    SIXTY_PERCENT             NUMBER        ,
    SEVENTY_PERCENT           NUMBER        ,
    SEVENTY_FIVE_PERCENT      NUMBER        ,
    EIGHTY_PERCENT            NUMBER        ,
    NINTY_PERCENT             NUMBER        ,
    ONE_HUNDRED_PERCENT       NUMBER        ,
    AVERAGE_MEAN              NUMBER        ,
    INDUSTRY                  VARCHAR2(1200),
    OTHER_GROUP               VARCHAR2(1200),
    MISC_NUMBER_1_DATA        NUMBER        ,
    MISC_NUMBER_2_DATA        NUMBER        ,
    MISC_NUMBER_3_DATA        NUMBER        ,
    MISC_NUMBER_4_DATA        NUMBER        ,
    MISC_TEXT_1_DATA          VARCHAR2(1200),
    MISC_TEXT_2_DATA          VARCHAR2(1200),
    MISC_TEXT_3_DATA          VARCHAR2(1200),
    SOURCE_CODE               VARCHAR2(120) ,
    SOURCE_FACTOR             NUMBER        ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    JOB_ID                    NUMBER(18, 0) ,
    COMPOSITE_ID              NUMBER(18, 0) ,
    LOCATION_ID               NUMBER(18, 0) ,
    MARKET_SEGMENT_ID         NUMBER(18, 0) ,
    COUNTRY_CODE              VARCHAR2(120)     NOT NULL,
    CURRENCY_CODE             VARCHAR2(120) ,
    COMP_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    TEN_PERCENT               NUMBER        ,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE          ,
    TWENTY_FIVE_PERCENT       NUMBER        ,
    FIFTY_PERCENT             NUMBER        ,
    SEVENTY_FIVE_PERCENT      NUMBER        ,
    NINTY_PERCENT             NUMBER        ,
    SOURCE_CODE               VARCHAR2(120) ,
    SOURCE_FACTOR             NUMBER        ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    TWENTY_PERCENT            NUMBER        ,
    THIRTY_PERCENT            NUMBER        ,
    FORTY_PERCENT             NUMBER        ,
    SIXTY_PERCENT             NUMBER        ,
    SEVENTY_PERCENT           NUMBER        ,
    EIGHTY_PERCENT            NUMBER        ,
    ONE_HUNDRED_PERCENT       NUMBER        ,
    AVERAGE_MEAN              NUMBER        ,
    INDUSTRY                  VARCHAR2(1200),
    OTHER_GROUP               VARCHAR2(1200),
    MISC_NUMBER_1_DATA        NUMBER        ,
    MISC_NUMBER_2_DATA        NUMBER        ,
    MISC_NUMBER_3_DATA        NUMBER        ,
    MISC_NUMBER_4_DATA        NUMBER        ,
    MISC_TEXT_1_DATA          VARCHAR2(1200),
    MISC_TEXT_2_DATA          VARCHAR2(1200),
    MISC_TEXT_3_DATA          VARCHAR2(1200),
    COMPOSITE_MAPPING_CODE    VARCHAR2(120) ,
    POSITION_ID               NUMBER(18, 0) ,
    CONSTRAINT pk_cmp_mkt_composites PRIMARY KEY (COMPOSITE_ID, COMPOSITE_ID)
);
